LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-22-2012, 12:53 PM   #1
fmillion
Member
 
Registered: Nov 2006
Posts: 91

Rep: Reputation: 27
Ruby/Rake install error on SiriProxy


Hello all,

I am trying to install the Siri Proxy program located at https://github.com/plamoni/SiriProxy

I am running an LFS system so I'm guessing there's something missing, but I'm not familiar enough with Ruby to understand exactly what is wrong. I've never written anything in Ruby myself.

I executed all of the following commands without any problems:

Code:
bash < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer)
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"
echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" # Load RVM function' >> ~/.bash_profile
rvm install 1.9.3
rvm use 1.9.3 --default 
rvmsudo gem install rake bundler
git clone git://github.com/plamoni/SiriProxy.git
cd SiriProxy
The next command I'm supposed to execute is:

Code:
rake install
However, upon doing so, I receive the following error:

Code:
server [ ~/SiriProxy ]$ rake install
rake aborted!
cannot load such file -- bundler/gem_tasks

(See full trace by running task with --trace)
All of the advice I've found online refers to Ubuntu and using apt-get. This is of little use to me running an LFS system. There are questions on forums that have no answers.

There is no file "gem_tasks" anywhere on my system either, nor do I really know where it's looking for it. There's no file "bundler/gem_tasks" in the Git repository.

Anyone know what I might be missing?

Thanks,

FM
 
Old 01-23-2012, 09:52 PM   #2
fmillion
Member
 
Registered: Nov 2006
Posts: 91

Original Poster
Rep: Reputation: 27
IT would appear the instructions are wrong.

After deep research I found out you need to be using "rvm all do" for all of the commands you run under the Ruby environment. I executed "rvm all do rake install" and it succeeded. I was also able to directly start the siriproxy binary with "rvm all do ./bin/siriproxy".

I hope this helps anyone else who's having this problem!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Ruby error akuma_linux Linux - Server 0 08-08-2011 07:40 AM
Any issues installing Ruby Gems and Ruby on Rails in Slackware? Lufbery Slackware 8 02-09-2011 07:22 PM
Yum Install flvtool2 (and ruby install) Problem athomas Linux - Server 1 10-01-2009 06:04 PM
Ruby SDL/ Ruby OpenGL tutorials/reference? LinuxNoob75 Programming 0 12-30-2007 12:47 PM
Mandriva(rake) 10.1 says incorrectly lan cable disconnected Mad Malc Mandriva 0 05-08-2005 10:18 AM


All times are GMT -5. The time now is 05:44 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration